{
  "name": "scienceInformationOfficeUi",
  "version": "0.0.8",
  "private": true,
  "type": "module",
  "scripts": {
    "build": "rsbuild build",
    "build:prod": "rsbuild build --mode production",
    "check": "biome check --write",
    "dev": "rsbuild dev ",
    "format": "biome format --write",
    "preview": "rsbuild preview",
    "storybook": "storybook dev -p 6006",
    "build-storybook": "storybook build",
    "generateRouter": "node ./script/generateRouter.js",
    "zip": "node script/zip.js"
  },
  "dependencies": {
    "@ant-design/icons-vue": "^7.0.1",
    "@element-plus/icons-vue": "^2.3.2",
    "@tinymce/tinymce-vue": "^6.3.0",
    "ant-design-vue": "^4.2.6",
    "axios": "^1.7.0",
    "core-js": "^3.38.0",
    "crypto-js": "^4.2.0",
    "dotenv": "^16.4.0",
    "echarts": "^5.5.0",
    "element-plus": "^2.14.2",
    "esri-loader": "^3.7.0",
    "js-base64": "^3.7.7",
    "moment": "^2.30.0",
    "pinia": "^3.0.4",
    "tinymce": "^8.6.0",
    "video.js": "^8.23.7",
    "viewerjs": "^1.11.7",
    "vue": "^3.5.26",
    "vue-router": "^4.6.4",
    "vuedraggable": "^4.1.0"
  },
  "devDependencies": {
    "@biomejs/biome": "2.3.8",
    "@module-federation/enhanced": "^0.23.0",
    "@module-federation/rsbuild-plugin": "^0.23.0",
    "@module-federation/sdk": "^0.23.0",
    "@rsbuild/core": "^1.7.1",
    "@rsbuild/plugin-babel": "^1.2.0",
    "@rsbuild/plugin-less": "^1.6.3",
    "@rsbuild/plugin-sass": "^1.5.3",
    "@rsbuild/plugin-vue": "^1.2.2",
    "@storybook/addon-docs": "^10.2.3",
    "@types/archiver": "^7.0.0",
    "@vue/babel-plugin-jsx": "^2.0.1",
    "archiver": "^7.0.1",
    "less": "^3.13.1",
    "less-loader": "^12.3.3",
    "sass": "^1.99.0",
    "storybook": "^10.2.3",
    "storybook-vue3-rsbuild": "^3.2.2",
    "typescript": "^5.9.3"
  }
}
